io.milvus.param

## Class QueryNodeSingleSearch

- java.lang.Object
- - io.milvus.param.QueryNodeSingleSearch

    public class QueryNodeSingleSearch
    extends java.lang.Object

Defined single search for query node listener send heartbeat.

### Nested Class Summary

Nested Classes
`static class` `QueryNodeSingleSearch.Builder` Builder for `QueryNodeSingleSearch`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getCollectionName()`
`MetricType` `getMetricType()`
`java.lang.String` `getParams()`
`java.lang.String` `getVectorFieldName()`
`java.util.List<?>` `getVectors()`
`static QueryNodeSingleSearch.Builder` `newBuilder()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newBuilder

    public static QueryNodeSingleSearch.Builder newBuilder()

#### getCollectionName

    public java.lang.String getCollectionName()

#### getMetricType

    public MetricType getMetricType()

#### getVectorFieldName

    public java.lang.String getVectorFieldName()

#### getVectors

    public java.util.List<?> getVectors()

#### getParams

    public java.lang.String getParams()